WOCAT Website - User Story #1704

Webseite: Mailchimp und Newsletter
20 Jul 2017 12:23 - Anonymous

Status: Closed Start date: 02 Oct 2017
Priority: High Due date: 23 Mar 2018
Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 30.00 hours
Target version: GIZ Proposal 2017 Spent time: 0.00 hour
Description

Damit wir das MailChimp einfach benutzen kénnen, braucht es eine direkte Verlinkung zwischen MailChimp und der Webseite.

1) Soll neue User automatisch im mailChimp aufnehmen

2) Soll automatisch die Informaiton Gber An- und ABbeldungen zum Newsletter (und andere Informationen, wie zum Beispiel
Instituionsénderungen, e-Mail Adressanderungen) intellgient ibernehmen

3) soll in einer Ubersicht méglich sein zu sehen, welche User den Newsletter bestellt/abgemeldet haben

History

#1 - 03 Aug 2017 12:04 - Kurt Gerber

- Tracker changed from Feature to User Story

- Project changed from QCAT to WOCAT Website
- Status changed from New to Accepted

- Priority changed from High to Normal
Wir werden uns darum kiimmern. Aber ich schlage vor, dass das dann Sebastian Manger macht, wenn er zuriick ist.
#2 - 11 Aug 2017 09:40 - Kurt Gerber
Was effektiv lbernommen werden muss ist:
e An- und Abmeldungen

e Emailaddress Anderungen.
e Institutionen sind fur mailchimp nicht von Bedeutung.

#3 - 11 Aug 2017 09:40 - Kurt Gerber
- Start date changed from 20 Jul 2017 to 25 Sep 2017

#4 - 11 Aug 2017 09:41 - Kurt Gerber
- Priority changed from Normal to High

#5 - 13 Aug 2017 12:15 - Sebastian Manger

Intro

Friher oder spater miissen wir wohl auf das bezahlte Modell von Mailchimp wechseln. Ab 2000 Subscribers ist das zwingend. Aktuell haben wir 3442

Users, davon sind aber nur 48 (Stand: 13.8.2017) aktiv und fir den NL angemeldet. Ist meiner Meinung nach eine Aufgabe fur die Person(en),
welche den Newsletter verwalten. Infos:

e https://mailchimp.com/pricing/growing-business/ -> pay as you go
e http://kb.mailchimp.com/accounts/billing/about-mailchimp-discounts#Non-Profit-Discount

Ich gehe davon aus, dass der bestehnede Export aus der wocat-website und Import (Mailchimp) funktioniert - ausserdem gehe ich von einem 'leeren’

Mailchimp aus. Zum Zeitpunkt, an welchem wir die API 'anhadngen' missen die Users auf wocat.net und Mailchimp identisch sein.

Anforderungen

Soll neue User automatisch im mailChimp aufnehmen

e Basis-Setup fur API-Connect: 8h
e Nach Bestéatigung der e-Mail (neue User), oder Reaktivierung (migrierte User): Anmeldung per API: 4h
Soll automatisch die Informaiton liber An- und ABbeldungen zum Newsletter (und andere
Informationen, wie zum Beispiel Instituionsanderungen, e-Mail Adressanderungen)
intellgient Ubernehmen

¢ Sind 'andere Informationen' wirklich notwendig? Ich sehe den Grund daflr nicht, da wir ja kaum Segmente bilden.
e Wenn nur An- und Abmeldung: 4h
¢ Abmeldung per Mailchimp sollte bereits jetzt eine Abmeldung auf wocat.net zur Folge haben. Muss aber noch getestet werden.

soll in einer Ubersicht maoglich sein zu sehen, welche User den Newsletter
bestellt/abgemeldet haben

e Als zusatzlicher Filter im /admin-Bereich: 1h
Teschnische Details

API-Docs: https://developer.mailchimp.com/documentation/mailchimp/guides/manage-subscribers-with-the-mailchimp-api/
Allenfalls Wrapper-App: https:/pypi.python.org/pypi/mailchimp3

--> Schétzung: 21h (17h und einen halben Tag 'Puffer')

#6 - 14 Aug 2017 10:36 - Kurt Gerber
- Estimated time set to 30.00 h

Plus 8 Std. fur Support bei Abklarung Konto und Einflihrung...

#7 - 24 Aug 2017 11:53 - Kurt Gerber
- Target version set to GIZ Proposal 2017

#8 - 24 Aug 2017 17:33 - Kurt Gerber
- Priority changed from High to Normal

#9 - 28 Sep 2017 11:18 - Kurt Gerber

- Due date set to 23 Mar 2018

- Priority changed from Normal to High

- Start date changed from 25 Sep 2017 to 02 Oct 2017

#10 - 13 Nov 2017 15:51 - Sebastian Manger

@Alexandra: haben wir bereits einen MailChimp-Account? Wenn ja, kannst du mich bitte als Admin hinzufligen?

Ausserdem: Welches Modell werden wir fahren (bezahlt, gratis)? Aktuell kann man bis zu 2'000 Personen kostenlos anschreiben ("If you have 2,000

or fewer subscribers, you can send up to 12,000 emails per month absolutely free. No expiring trial, contract, or credit card required.")

#11 - 16 Nov 2017 16:05 - Kurt Gerber

- Status changed from Accepted to In Progress

#12 - 30 Nov 2017 09:52 - Kurt Gerber

- Status changed from In Progress to Feedback

#13 - 09 Jan 2018 15:34 - Sebastian Manger
- Status changed from Feedback to Closed

Abgleich mit Mailchimp funktioniert, die Liste ist eingerichtet (https://us15.admin.mailchimp.com/lists/members/?id=222107)
